| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::MailAddress Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- QString name
- QString address

## Detailed Description

Structure type generated from the specification.

A pair (name, address) representing an e-mail address, such as ("Nicolas Dufresne", "nicolas.dufresne@collabora.co.uk"). At least one of name and address MUST be provided. A missing element will be represented by the empty string.

The CM should provide as much information as possible, but not all protocols provide both the displayed name and the address. (If a protocol doesn't provide either, it should omit the appropriate field from the Mail entirely.)

## Member Data Documentation

QString Tp::MailAddress::name

The displayed name corresponding to the e-mail address

QString Tp::MailAddress::address

The actual e-mail address